Assignee:    

Target version:    

Description

The #yield_self Enumerator instance always has a #count of 1. I think it might be nice to provide a lazy #size of 1 to match the

#count for parity.

Currently:

42.yield_self.count #=> 1

42.yield_self.size #=> nil

 I propose:

42.yield_self.count #=> 1

42.yield_self.size #=> 1

History

#1 - 05/14/2017 06:55 AM - shan (Shannon Skipper)

I'm not at all sure about my implementation, but here is a pull request with my attempt: https://github.com/ruby/ruby/pull/1615

#2 - 05/16/2017 04:31 AM - shyouhei (Shyouhei Urabe)

The patch seems okay to me, but honestly I don't see any practical use case of it.  Do you nedd this?

#3 - 05/16/2017 06:46 AM - Hanmac (Hans Mackowiak)

shyouhei (Shyouhei Urabe) wrote:

The patch seems okay to me, but honestly I don't see any practical use case of it.  Do you nedd this?

 the pr was already merged, but this ticket was not closed because of that

#4 - 05/16/2017 06:51 AM - shyouhei (Shyouhei Urabe)

Hanmac (Hans Mackowiak) wrote:

shyouhei (Shyouhei Urabe) wrote:

The patch seems okay to me, but honestly I don't see any practical use case of it.  Do you nedd this?

 the pr was already merged, but this ticket was not closed because of that

 Thank you.  Issue updated to refer the changeset.

#5 - 05/19/2017 09:29 AM - shyouhei (Shyouhei Urabe)

- Status changed from Open to Closed
